#include <stdio.h>
#include <stdlib.h>
void sortiranje(int y[],int x,int z){
   int i,j,sr,pom;
   if(x<z){
      sr=x;
      i=x;
      j=z;
      while(i<j){
         while(y[i]<=y[sr]&&i<z)
            i++;
         while(y[j]>y[sr])
            j--;
         if(i<j){
            pom=y[i];
            y[i]=y[j];
            y[j]=pom;
         }
      }
      pom=y[sr];
      y[sr]=y[j];
      y[j]=pom;
      sortiranje(y,x,j-1);
      sortiranje(y,j+1,z);
   }
}
int main()
{
    int n,m;
    scanf("%d",&n);
    scanf("%d",&m);
    int a[n],b[m],c[m];
    for(int i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    for(int i=0;i<m;i++){
        scanf("%d",&b[i]);
    }
    sortiranje(a,0,n-1);
    int mid,br1=0,br2=0,lk;
    mid=a[(n/2)];
    for(int i=0;i<m;i++){
        if(b[i]!=mid && b[i]<=a[n-1] && b[i]>=a[0]){
            if(b[i]>mid){
                for(int j=(n/2);j<n;j++){
                    if(a[j]==b[i]){
                        lk=j;
                    }
                }
                for(int j=lk+1;j<n;j++){
                    br2++;
                }
                for(int j=lk-1;j>=0;j--){
                    br1++;
                }
                c[i]=br1-(1+br2);
            }
            else{
                for(int j=(n/2);j>=0;j--){
                    if(a[j]=b[i]){
                        lk=j;
                    }
                }
                for(int j=lk+1;j<n;j++){
                    br2++;
                }
                for(int j=lk-1;j>=0;j--){
                    br1++;
                }
                c[i]=br2-br1;
            }
        }
        else if(mid==b[i]){
            c[i]=0;
        }
        else if(a[n-1]<b[i]){
            c[i]=n;
        }
        else if(a[0]>b[i]){
            c[i]=n+1;
        }
    }
    for(int i=0;i<m;i++){
        printf("%i",c[i]);
    }
    return 0;
}